%global pypi_name dpath
%global commitId 2eae6c10e4f1d02730ab3783e4aa924e13ec8a7a

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        2.1.4
Release:        1%{?dist}
Summary:        A python library for accessing and searching dictionaries via /slashed/paths ala xpath

License:        MIT
URL:            https://github.com/dpath-maintainers/dpath-python
Source0:        python-dpath-2eae6c10e4f1d02730ab3783e4aa924e13ec8a7a.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools

%description
The dpath library lets you glob over a dictionary as if it were a filesystem. It allows you to specify globs (ala the bash eglob syntax, through some advanced fnmatch.fnmatch magic) to access dictionary elements, and provides some facility for filtering those results.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        A python library for accessing and searching dictionaries via /slashed/paths ala xpath

%description -n python%{python3_pkgversion}-%{pypi_name}
The dpath library lets you glob over a dictionary as if it were a filesystem. It allows you to specify globs (ala the bash eglob syntax, through some advanced fnmatch.fnmatch magic) to access dictionary elements, and provides some facility for filtering those results.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Wed Jan 11 2023 James Marshall <jamarsha@redhat.com> 2.1.4-1
- Initial release
